#coding: utf-8
#ファイル保存テストプログラム
import Get_BME280
import datetime
import os

#現在年月を取得しファイル名とする
now = datetime.datetime.now()
filename = "TEST_"+now.strftime("%Y-%m")
#現在の時刻をログ時刻とする
stamp = "%s" % now.strftime('%m%d%H%M')
#計測データを取得
csv = Get_BME280.readData()
#もしフォルダがなければ新規作成する
if not os.path.exists('/home/pi/LogTest'):
    os.makedirs('/home/pi/LogTest')
#ファイルをオープンしログデータを追加する
f = open('/home/pi/LogTest/'+filename+'.csv', 'a')
f.write(stamp + "," + csv + "\r\n")
f.close()
